curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/events \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "claim",
"coverageTypeId": "general_liability",
"insuredIds": [
"550e8400-e29b-41d4-a716-446655440200"
]
}
'{
"id": "550e8400-e29b-41d4-a716-446655440003"
}Events
Create Event
Creates a new event (claim or incident).
Required fields:
type- Event type (claimorincident)coverageTypeId- Coverage type identifierinsuredIds- At least one insured must be associated
Optional fields:
status- Defaults toopenif not providedpolicyId- Associate with a policydata- Custom entity data as key-value pairs
Required permission: company.claim:create or company.incident:create (depending on type)
POST
/
api
/
external
/
companies
/
{companyId}
/
events
curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/events \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "claim",
"coverageTypeId": "general_liability",
"insuredIds": [
"550e8400-e29b-41d4-a716-446655440200"
]
}
'{
"id": "550e8400-e29b-41d4-a716-446655440003"
}Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
Type of event (claim or incident)
Available options:
claim, incident Coverage type identifier for this event
IDs of insureds to associate with this event
Status of the event
Available options:
open, closed Optional lawsuit ID to associate with this event (must reference an existing lawsuit)
Optional policy ID to associate with this event
Custom entity data fields as key-value pairs. Keys should be field keys (e.g., 'reportDate', 'eventDescription').
Show child attributes
Show child attributes
Response
Event created successfully
The ID of the created event
Was this page helpful?
